<bugID>1323125<Summary>Fade out tab labels don't work with Tree Style Tab extension</Summary><Description>Created attachment 8818159
screenshot showing lack of fade out

I use the Tree Style Tab extension. Bug 658467 has two problems with it.

First, and most importantly, if I load any web page, while the page is loading the tab label briefly jumps a few pixels down and to the left, and then jumps back to the normal position. The favicon disappears while the label is shifted. It's too fast to get a screenshot. It's *very* annoying.

This usually happens both with "Connecting..." at first and then again with the full tab label. When the full tab label is long it overlaps the content window while shifted. Depending on the page, sometimes the flicker happens more than twice. It's very easy to reproduce.

Second, there is no fade out on the labels. I've attached a screenshot showing this. It's less annoying than the first problem, but it does look a bit ugly.

Both problems happen on both Mac and Linux.</Description></bugID>